//
// $Id: RADIUSconfig.h,v 1.1 2004/01/27 16:20:30 holger Exp holger $
//
// RADIUS Plugin for pGina
// Copyright (c) 2004 Holger Weiss
//
// ---------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc., 59
// Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// ---------------------------------------------------------------------------
//

#ifndef RADIUSconfig_H
#define RADIUSconfig_H

#pragma once

#ifndef __AFXWIN_H__
#error include 'stdafx.h' before including this file for PCH
#endif				// __AFXWIN_H__

#include "Resource.h"

// ---------------------------------------------------------------------------
// CRADIUSconfig dialog

#define SERVER1_TXT	"RADIUS server (Hostname or IP)"
#define SERVER2_TXT	"RADIUS server 2 (optional)"
#define SERVER3_TXT	"RADIUS server 3 (optional)"
#define SECRET1_TXT	"RADIUS secret"
#define SECRET2_TXT	"secret 2 (optional)"
#define SECRET3_TXT	"secret 3 (optional)"

#define DEFAULT_SERVICE_TYPE	1

class CRADIUSconfig : public CDialog
{
		DECLARE_DYNAMIC(CRADIUSconfig)

	public:
		CRADIUSconfig(CWnd* pParent = NULL);	// Standard constructor
		virtual ~CRADIUSconfig();

		// Dialog data
		enum { IDD = IDD_CONFIGURE_DIALOG };

	protected:
		virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV

		DECLARE_MESSAGE_MAP()

	public:
		afx_msg void OnBnClickedOk();
		afx_msg void OnStnEnableLogo();
		CString m_server1;		// RADIUS server 1
		CString m_server2;		// RADIUS server 2
		CString m_server3;		// RADIUS server 3
		unsigned long m_port1;		// RADIUS port 1
		unsigned long m_port2;		// RADIUS port 2
		unsigned long m_port3;		// RADIUS port 3
		CString m_secret1;		// RADIUS secret 1
		CString m_secret2;		// RADIUS secret 2
		CString m_secret3;		// RADIUS secret 3
		unsigned long m_service_type;	// RADIUS service type
		BOOL m_accounting;		// do RADIUS accounting?
		BOOL m_secure_key;		// secure registry key
		BOOL m_livingston;		// Livingston 1.16 Bug?
		BOOL m_only_local;		// authenticate only local Windows users?
		BOOL m_required;		// is RADIUSplugin required?
		BOOL m_admin;			// add users to admin group?
		BOOL m_debug;			// log debug output?
		BOOL m_pw_change;		// allow password change?
};

#endif				// RADIUSconfig_H
